#ifndef _YSOCKET_H
#define _YSOCKET_H

#define STD_HOSTENT
#define gethostbyname	_GETHOSTBYNAME
#define gethostbyaddr	_GETHOSTBYADDR


#ifdef _MSC_VER
#define socket		_SOCKET
#define bind		_BIND
#define listen		_LISTEN
#define accept		_ACCEPT
#define connect		_CONNECT
#define shutdown	_SHUTDOWN

#define select		_SELECT

#define send		_SEND
#define recv		_RECV
#define sendto		_SENDTO
#define recvfrom	_RECVFROM

#define getsockname	_GETSOCKNAME
#define getpeername	_GETPEERNAME
extern int getsockname();
extern int getpeername();

#define setsockopt	_SETSOCKOPT
#define getsockopt	_GETSOCKOPT

#define gethostname	_GETHOSTNAME
#else /* !_MSC_VER */
#define bind		_BIND
#define accept		_ACCEPT
#define connect		_CONNECT
#endif /* _MSC_VER */

#define PS_IN     001
#define PS_PRI    002
#define PS_OUT    004
#define PS_ERR    010
#define PS_HUP    020
#define PS_NVAL   040
#define PS_ERRORS 070

#endif /* _YSOCKET_H */
